### Index

advRequired (packages/.../ux-dyn-validations.model.ts) childProvidersModule (packages/.../dynamic-forms.module.ts) createEuiDynFormsRootGuard (packages/.../dynamic-forms.module.ts) dynClientValidationGenerator (packages/.../ux-dyn-generators.model.ts) dynRuleRunner (packages/.../ux-dyn-rules.model.ts) dynValidationErrorGenerator (packages/.../ux-dyn-generators.model.ts) euiDynFormsRootGuardClass (packages/.../dynamic-forms.module.ts) getActions (packages/.../effects.suite.ts) getDynConfigService (packages/.../factories.ts) getDynFormApiService (packages/.../factories.ts) getDynMapFinal (packages/.../factories.ts) getFormService (packages/.../factories.ts) getTypeInstance (packages/.../ux-dyn-core.model.ts) getValidationsService (packages/.../factories.ts) getValue (packages/.../ux-dyn-data.model.ts) groupLevelRequired (packages/.../ux-dyn-validations.model.ts) groupRequired (packages/.../ux-dyn-validations.model.ts) isArray (packages/.../dyn-utils.ts) isDefined (packages/.../dyn-utils.ts) isNull (packages/.../ux-dyn-validations.model.ts) isObject (packages/.../dyn-utils.ts) isObjectEmpty (packages/.../dyn-utils.ts) isUndefinedOrNull (packages/.../dyn-utils.ts) oneOfRequired (packages/.../ux-dyn-validations.model.ts) providersModule (packages/.../dynamic-forms.module.ts) translateStaticLoader (packages/.../translate.suite.ts) uxDynAsyncValidator (packages/.../ux-dyn-validations.model.ts) uxDynContainerGenerator (packages/.../ux-dyn-generators.model.ts) uxDynDataMapResolver (packages/.../ux-dyn-data.model.ts) uxDynFormArrayGenerator (packages/.../ux-dyn-generators.model.ts) uxDynFormControlGenerator (packages/.../ux-dyn-generators.model.ts) uxDynFormGenerator (packages/.../ux-dyn-generators.model.ts) uxDynFormGroupGenerator (packages/.../ux-dyn-generators.model.ts) uxDynFormTupleGenerator (packages/.../ux-dyn-generators.model.ts) uxDynValidator (packages/.../ux-dyn-validations.model.ts)

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-validations.model.ts

###

advRequired
`advRequired(control)`
It is advanced version of the default required validation. It will check If object&array is not empty(or null/undefined for simple types). Parameters :
Name | Optional
control | No
Returns : `ValidationErrors`

groupLevelRequired
`groupLevelRequired(control)`
It is a validation helper which should be defined on the parent control of the controls have groupRequired meta-data. It runs validations for all the controls when parent control’s value is changed. Parameters :
Name | Optional
control | No
Returns : `literal type | null`

groupRequired
`groupRequired(control)`
It runs If only If (its parent control is not empty object OR its parent has groupRequired/advRequired error) It will check If object&array is not empty(or null/undefined for simple types). Parameters :
Name | Optional
control | No
Returns : `ValidationErrors`

isNull
`isNull(val)`
Parameters :
Name | Optional
val | No

oneOfRequired
`oneOfRequired(...params: any[])`
It will check that at least one of value is not empty(or null/undefined) at specified keys for target object. Parameters :
Name | Type | Optional
params | `any[]` | No
Returns : `ValidationErrors`

uxDynAsyncValidator
`uxDynAsyncValidator(fn, message, severity, fieldInfo?)`
Parameters :
Name | Optional
fn | No
message | No
severity | No
fieldInfo | Yes
Returns : `null | Observable<ValidationErrors>`

uxDynValidator
`uxDynValidator(fn, message, severity, fieldInfo?)`
Parameters :
Name | Optional
fn | No
message | No
severity | No
fieldInfo | Yes
Returns : `null | ValidationErrors`

### packages/eui-dynamic-forms-ui/src/lib/dynamic-forms.module.ts

###

childProvidersModule
`childProvidersModule(dynMap)`
Parameters :
Name | Optional
dynMap | No
Returns : `any`

createEuiDynFormsRootGuard
`createEuiDynFormsRootGuard(core)`
Parameters :
Name | Optional
core | No

euiDynFormsRootGuardClass
`euiDynFormsRootGuardClass()`

providersModule
`providersModule(dynMap)`
Parameters :
Name | Optional
dynMap | No
Returns : `any`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-generators.model.ts

###

dynClientValidationGenerator
`dynClientValidationGenerator(fn, message, severity)`
Parameters :
Name | Optional
fn | No
message | No
severity | No
Returns : `null | ValidationErrors`

dynValidationErrorGenerator
`dynValidationErrorGenerator(message, severity)`
Parameters :
Name | Optional
message | No
severity | No

uxDynContainerGenerator
`uxDynContainerGenerator(layout, context, children, fieldId?)`
Parameters :
Name | Optional
layout | No
context | No
children | No
fieldId | Yes
Returns : `UxDynFormModel`

uxDynFormArrayGenerator
`uxDynFormArrayGenerator(layout, context, child, fieldId?)`
Parameters :
Name | Optional
layout | No
context | No
child | No
fieldId | Yes
Returns : `UxDynFormModel`

uxDynFormControlGenerator
`uxDynFormControlGenerator(layout, context, fieldId?)`
Parameters :
Name | Optional
layout | No
context | No
fieldId | Yes
Returns : `UxDynFormModel`

uxDynFormGenerator
`uxDynFormGenerator(...formFields: undefined)`
Parameters :
Name | Optional
formFields | No
Returns : `UxDynFormModelArray`

uxDynFormGroupGenerator
`uxDynFormGroupGenerator(layout, context, children, fieldId?)`
Parameters :
Name | Optional
layout | No
context | No
children | No
fieldId | Yes
Returns : `UxDynFormModel`

uxDynFormTupleGenerator
`uxDynFormTupleGenerator(layout, context, children, fieldId?)`
Parameters :
Name | Optional
layout | No
context | No
children | No
fieldId | Yes
Returns : `UxDynFormModel`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-rules.model.ts

###

dynRuleRunner
`dynRuleRunner(metaData, config, formApi)`
Parameters :
Name | Optional
metaData | No
config | No
formApi | No
Returns : `void`

### packages/eui-dynamic-forms-ui/src/lib/tests/effects.suite.ts

###

getActions
`getActions()`

### packages/eui-dynamic-forms-ui/src/lib/factories.ts

###

getDynConfigService
`getDynConfigService(mapping)`
Parameters :
Name | Optional
mapping | No
Returns : `DynConfigService`

getDynFormApiService
`getDynFormApiService(multipleStore, formService)`
Parameters :
Name | Optional
multipleStore | No
formService | No
Returns : `DynFormApiService`

getDynMapFinal
`getDynMapFinal(dynMapDefault, dynMapCustom)`
Parameters :
Name | Optional
dynMapDefault | No
dynMapCustom | No
Returns : `UxDynMappingConfig`

getFormService
`getFormService(dynConfigService, dynDataService, multipleStore, logService, validationsService)`
Parameters :
Name | Optional
dynConfigService | No
dynDataService | No
multipleStore | No
logService | No
validationsService | No
Returns : `FormService`

getValidationsService
`getValidationsService(dynConfigService)`
Parameters :
Name | Optional
dynConfigService | No
Returns : `DynValidationsService`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-core.model.ts

###

getTypeInstance
`getTypeInstance(instanceType)`
Parameters :
Name | Optional
instanceType | No
Returns : `T`

### packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-data.model.ts

###

getValue
`getValue(obj, valuePath)`
Parameters :
Name | Optional
obj | No
valuePath | No

uxDynDataMapResolver
`uxDynDataMapResolver(obj, uxDynDataMap)`
Parameters :
Name | Optional
obj | No
uxDynDataMap | No

### packages/eui-dynamic-forms-ui/src/lib/shared/utils/dyn-utils.ts

###

isArray
`isArray(arr: any)`
Parameters :
Name | Type | Optional
arr | `any` | No

isDefined
`isDefined(data: any)`
Parameters :
Name | Type | Optional
data | `any` | No

isObject
`isObject(obj: any)`
Parameters :
Name | Type | Optional
obj | `any` | No

isObjectEmpty
`isObjectEmpty(obj)`
Parameters :
Name | Optional
obj | No

isUndefinedOrNull
`isUndefinedOrNull(data: any)`
Parameters :
Name | Type | Optional
data | `any` | No

### packages/eui-dynamic-forms-ui/src/lib/tests/translate.suite.ts

###

translateStaticLoader
`translateStaticLoader()`

# result-matching ""

# No results matching ""